package com.ysnows.base.route

import com.billy.cc.core.component.CCResult
import com.ysnows.base.ccretrofit.IRoute
import com.ysnows.base.ccretrofit.annotation.Async
import com.ysnows.base.ccretrofit.annotation.Param
import io.reactivex.Observable

/**
 *Created by shihuiyun
 *on 2020/9/9
 */
interface IJpush : IRoute {

    @Async
    fun init(): Observable<CCResult>
    fun isLogin(): Observable<CCResult>
    fun initPush(): Observable<CCResult>
    fun setPushAlias(@Param("uid") uid: String): Observable<CCResult>
    fun setClearAlias(@Param("uid") uid: String): Observable<CCResult>



}
